
Foreman - Refactor #11464

In hostgroup parameters form, parent parameters should look like host inherited parameters

08/24/2015 09:44 AM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: Ori Rabin   

Category: Web Interface   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2649

  

Description

currently uses two partials and different backend handling, this should be unified into cleaner code with same partials.

Related issues:

Related to Foreman - Refactor #11460: Host/Hostgroup parameters should have a... Closed 08/24/2015

Blocks Foreman - Tracker #10467: Parameter UI improvements in host and hostgr... New 05/11/2015

Associated revisions

Revision e282ff7b - 11/09/2015 08:49 AM - Ori Rabin

Fixes #11464 - use host inherited views for hostgroup parent parameters

History

#1 - 08/24/2015 09:45 AM - Tomer Brisker

- Blocks Tracker #10467: Parameter UI improvements in host and hostgroup forms added

#2 - 08/30/2015 05:01 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2649 added

- Pull request deleted ()

#3 - 10/30/2015 08:56 AM - Dominic Cleal

- Related to Refactor #11460: Host/Hostgroup parameters should have a clean layout added

#4 - 10/30/2015 08:56 AM - Dominic Cleal

- translation missing: en.field_release set to 71

#11460 broke the overrides of parent parameters in host groups, so I'm setting this to a release blocker as the refactoring of the form will indirectly fix

it again.

#5 - 11/09/2015 09:01 AM - Ori Rabin

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset e282ff7b9ba42d0b67a3ffc8d54abb4ec2c2e045.
